Name: owamp
Summary: owamp - one-way delay tester
Version: 3.5.6
Release: 1%{?dist}
License: Apache License v2.0
Group: *Development/Libraries*
URL: http://e2epi.internet2.edu/owamp/
Source: %{name}-%{version}.tar.gz
Packager: Aaron Brown <aaron@internet2.edu>
%if 0%{?el7}
BuildRequires: libtool, I2util, systemd
%else
BuildRequires: libtool, I2util
%endif
Requires: owamp-client, owamp-server, I2util
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OWAMP is a client/server package that allows one to measure the latency between
hosts. Unlike ping, which can only measure the bidirectional delay, OWAMP
enables you to measure the unidirectional delay between two hosts.

%files


%package client
Summary: owamp client
Group: Applications/Network
%description client
owamp command line utilities for performing owamp measurements with an owamp
server.

%package server
Summary: owamp server
Group: Applications/Network
%if 0%{?el7}
Requires: shadow-utils, coreutils
%{?systemd_requires: %systemd_requires}
%else
Requires: chkconfig, initscripts, shadow-utils, coreutils
%endif
%description server
owamp server

#%package devel
#Group: Development/Libraries
#Summary: owamp library headers.
#%description devel
#This package includes header files, and static link libraries for building
#applications that use the owamp library.


# Thrulay and I2Util get installed, but really, shouldn't be instaled.
%define _unpackaged_files_terminate_build      0

%prep
%setup -q

%build
%configure --with-I2util=no
make

%install
%makeinstall
%{__install} -D -p -m 0644 conf/owampd.service %{buildroot}%{_unitdir}/owamp-server.service
%{__install} -D -p -m 0755 conf/owampd.init %{buildroot}%{_sysconfdir}/rc.d/init.d/owamp-server
%{__install} -D -p -m 0755 conf/owampd.limits %{buildroot}%{_sysconfdir}/owamp-server/owamp-server.limits
%{__install} -D -p -m 0755 conf/owampd.rpm.conf %{buildroot}%{_sysconfdir}/owamp-server/owamp-server.conf
%{__install} -D -p -m 0755 conf/owampd.limits %{buildroot}%{_sysconfdir}/owamp-server/owamp-server.limits.default
%{__install} -D -p -m 0755 conf/owampd.rpm.conf %{buildroot}%{_sysconfdir}/owamp-server/owampd.conf.default

%clean
rm -rf $RPM_BUILD_ROOT 

%post server
%if 0%{?el7}
%systemd_post owamp-server.service
if [ "$1" = "1" ]; then
	/usr/sbin/useradd -r -s /bin/nologin -d /tmp owamp || :
	mkdir -p /var/lib/owamp
	chown owamp:owamp /var/lib/owamp
	systemctl enable owamp-server.service
	systemctl start owamp-server.service
fi
%else
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add owamp-server
	/usr/sbin/useradd -r -s /bin/nologin -d /tmp owamp || :
	mkdir -p /var/lib/owamp
	chown owamp:owamp /var/lib/owamp
else
    #handle pre 1.6 upgrade
    if [ -e "/etc/owampd/owampd.conf" ]; then
        mv %{_sysconfdir}/owamp-server/owamp-server.conf %{_sysconfdir}/owamp-server/owamp-server.conf.bak
        mv /etc/owampd/owampd.conf %{_sysconfdir}/owamp-server/owamp-server.conf
    elif [ -e "/etc/owampd/owampd.conf.rpmsave" ]; then
        mv %{_sysconfdir}/owamp-server/owamp-server.conf %{_sysconfdir}/owamp-server/owamp-server.conf.bak
        mv /etc/owampd/owampd.conf.rpmsave %{_sysconfdir}/owamp-server/owamp-server.conf
    fi
    
    if [ -e "/etc/owampd/owampd.limits" ]; then
        mv %{_sysconfdir}/owamp-server/owamp-server.limits %{_sysconfdir}/owamp-server/owamp-server.limits.bak
        mv /etc/owampd/owampd.limits %{_sysconfdir}/owamp-server/owamp-server.limits
    elif [ -e "/etc/owampd/owampd.limits.rpmsave" ]; then
        mv %{_sysconfdir}/owamp-server/owamp-server.limits %{_sysconfdir}/owamp-server/owamp-server.limits.bak
        mv /etc/owampd/owampd.limits.rpmsave %{_sysconfdir}/owamp-server/owamp-server.limits
    fi
    
    #make sure owamp-server starts if owampd was running
    /sbin/service owampd stop 2> /dev/null  || :
    chkconfig --list owampd 2> /dev/null | grep -q on
    if [ $? -eq 0 ]; then
        /sbin/chkconfig --add owamp-server
        /sbin/service owamp-server restart
    else
        /sbin/service owamp-server cond-restart
    fi
    /sbin/chkconfig --del owampd 2> /dev/null  || :
fi
%endif

%preun server
%if 0%{?el7}
%systemd_preun owamp-server.service
%else
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del owamp-server
    /sbin/service owamp-server stop
fi
%endif

%postun server
%if 0%{?el7}
%systemd_postun_with_restart owamp-server.service
%endif
if [ "$1" = "0" ]; then
	/usr/sbin/userdel owamp || :
fi

%files client
%defattr(-,root,root,0755)
%doc README
%{_bindir}/owfetch
%{_bindir}/owping
%{_bindir}/owstats
%{_bindir}/owup
%{_bindir}/powstream
%{_mandir}/man1/owfetch.1.gz
%{_mandir}/man1/owping.1.gz
%{_mandir}/man1/owstats.1.gz
%{_mandir}/man1/owup.1.gz
%{_mandir}/man1/powstream.1.gz

%files server
%defattr(-,root,root,0755)
%{_bindir}/owampd
%{_mandir}/man5/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/owamp-server/*
%if 0%{?el7}
%{_unitdir}/owamp-server.service
%else
%{_sysconfdir}/rc.d/init.d/owamp-server
%endif

#%files devel
#%defattr(-,root,root,0755)
#%{_libdir}/libbwlib.a
#%{_includedir}/owamp/*

%changelog
* Thu Mar 26 2009 aaron@internet2.edu 1.0-4
- Make upgrading work more seamlessly

* Thu Mar 26 2009 aaron@internet2.edu 1.0-3
- Make sure that /var/lib/owamp is created on install

* Fri Feb 02 2009 aaron@internet2.edu 1.0-2
- Fix the example owampd.limits location

* Fri Aug 22 2008 aaron@internet2.edu 1.0-1
- Initial RPM
